API reference › Places & time

Reverse Geocoding API for Birth Places

Nearest real settlement to coordinates

GET/v1/places/reverse

1 credit · Secret key (test or live) · reversePlace

Parameters

NameInTypeNotes
lat requiredquerynumber
lon requiredquerynumber

Response

JSON { data, meta, warnings }, where data is:

  • results array of PlaceResult required
    • place_id string required
    • name string required
    • state string
    • country string required
    • latitude number required
    • longitude number required
    • timezone string required
    • population integer

Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.

Example request

curl 'https://api.astrologics.in/v1/places/reverse?lat=28.4039&lon=77.8577' \
  -H 'Authorization: Bearer al_test_YOUR_KEY'
Node.js
const res = await fetch("https://api.astrologics.in/v1/places/reverse?lat=28.4039&lon=77.8577", {
  headers: { Authorization: "Bearer al_test_YOUR_KEY" },
});
console.log(JSON.stringify(await res.json(), null, 2));
Python
import json
import urllib.error
import urllib.request

req = urllib.request.Request(
    "https://api.astrologics.in/v1/places/reverse?lat=28.4039&lon=77.8577",
    method="GET",
    headers={"Authorization": "Bearer al_test_YOUR_KEY"},
)
try:
    with urllib.request.urlopen(req) as res:
        print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
    print(err.code, err.read().decode())
PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/places/reverse?lat=28.4039&lon=77.8577');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY'],
    CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;

Example response

200 OK · 481 characters
{
  "data": {
    "results": [
      {
        "place_id": "pl_3086",
        "name": "Bulandshahr",
        "country": "India",
        "latitude": 28.40392,
        "longitude": 77.85773,
        "timezone": "Asia/Kolkata",
        "state": "Uttar Pradesh",
        "population": 198612
      }
    ]
  },
  "meta": {
    "request_id": "req_example",
    "api_version": "v1",
    "engine_version": "2026.10.4",
    "mode": "live",
    "credits_charged": 1
  },
  "warnings": []
}
Try it

Leave empty to use the shared demo key (limited). Test keys only: never charged. Kept in this browser tab and sent through this site to the API. Create one

More in Places & time

Get a free API key Places & time product page